@import "@/styles/variables";
@import "@/styles/components";

html {
    height: 100%;
}

body {
    background: $white;
}

* {
    font-family:
        var(--font-barlow),
        -apple-system,
        sans-serif;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

a {
    text-decoration: underline;
    color: $gray-800;
    border-bottom: 2px solid transparent;
    text-underline-offset: 3px;
    text-decoration-color: $gray-700;

    &:hover {
        opacity: 0.8;
    }

    &:focus {
        outline: none;
    }

    &:focus-visible {
        border-bottom: 2px solid $primary-color;
    }
}

.primary-link {
    color: $primary-color;
    text-decoration: none;
}

button {
    &:focus {
        outline: none;
    }

    &:focus-visible {
        outline: 2px solid $primary-color;
    }
}

input {
    &:focus {
        outline: none;
    }

    &:focus-visible {
        outline: 2px solid $primary-color;
    }
}
